Summary: The PPP (Point-to-Point Protocol) daemon and pptp-mppe encryption support.
Name: ppp
Version: 2.4.1
Release: 3mppe
License: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.samba.org/pub/ppp/ppp-%{version}.tar.gz
Source1: ppp-2.3.5-pamd.conf
Source2: options.pptp
Patch0: ppp-2.4.1-make.patch
Patch1: ppp-2.3.6-sample.patch
Patch2: ppp-2.3.9-wtmp.patch
Patch3: ppp-2.4.0-reap.patch
Patch4: ppp-2.3.11-pam_session.patch
Patch5: ppp-2.4.1-warnings.patch
Patch6: ppp-2.4.1-openssl-0.9.6-mppe.patch
Patch7: ppp-2.4.1-MSCHAPv2-fix.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: pam-devel
Requires: glibc >= 2.0.6, /etc/pam.d/system-auth

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support. The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links. PPP is
usually used to dial in to an ISP (Internet Service Provider) or other
organization over a modem and phone line.

%prep
%setup  -q
%patch0 -p1 -b .make
%patch1 -p1 -b .sample
# patch 2 depends on the -lutil in patch 0
%patch2 -p1 -b .wtmp
%patch3 -p1 -b .reap
%patch4 -p1 -b .pam_session
%patch5 -p1 -b .warnings
%patch6 -p1
%patch7 -p1
find . -type f -name "*.sample" | xargs rm -f 

%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir} BINDIR=$RPM_BUILD_ROOT%{_sbindir}

## it shouldn't be SUID root be default
#chmod 755 $RPM_BUILD_ROOT/usr/sbin/pppd

chmod go+r scripts/*
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ppp
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/ppp/options.pptp

%clean
rm -rf $RPM_BUILD_ROOT

%post
TEMP=$(locate /etc/modules.conf)
if [ "$TEMP" = "" ]; then ln -s /etc/conf.modules /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp ppp_generic")
if [ "$TEMP" = "" ]; then echo "alias ppp ppp_generic" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias char-major-108 off")
if [ "$TEMP" = "" ]; then echo "alias char-major-108 off # This will be different for 2.3.x kernels" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-18 ppp_mppe")
if [ "$TEMP" = "" ]; then echo "alias ppp-compress-18 ppp_mppe" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-21 bsd_comp")
if [ "$TEMP" = "" ]; then echo "alias ppp-compress-21 bsd_comp" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-24 ppp_deflate")
if [ "$TEMP" = "" ]; then echo "alias ppp-compress-24 ppp_deflate" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-26 ppp_deflate")
if [ "$TEMP" = "" ]; then echo "alias ppp-compress-26 ppp_deflate" >> /etc/modules.conf; fi
depmod -a

%files
%defattr(-,root,root)
%{_sbindir}/chat
%{_sbindir}/pppd
%{_sbindir}/pppdump
%{_sbindir}/pppstats
%{_mandir}/man8/chat.8*
%{_mandir}/man8/pppd.8*
%{_mandir}/man8/pppdump.8*
%{_mandir}/man8/pppstats.8*
%dir /etc/ppp
%config /etc/ppp/chap-secrets
%config /etc/ppp/options
%config /etc/ppp/options.pptp
%config /etc/ppp/pap-secrets
%config /etc/pam.d/ppp
%doc README README.linux scripts sample

%changelog
* Fri Feb  8 2002 Richard de Vroede <richard@linvision.com>
- fixed post scriptlet
- added support for older /etc/conf.modules file
- added depmod -a to remove warning about module-dependencies and filedate of modules.conf

* Mon Dec  3 2001 Richard de Vroede <richard@linvision.com>
- added pptp support
- add mppe encrypion patch (fixed it to be compatible with patch0)
- add patch for MSCHAPv2
- add alias ppp ppp_generic to /etc/modules.conf
- removed cbcp support, it is supported in mppe patch

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- add buildprereq on pam-devel (#49559)
- add patch to respond to CBCP LCP requests (#15738)
- enable cbcp support at build-time
- change the Copyright: tag to a License: tag

* Wed May 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.4.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Nov  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.4.0

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- move man pages to %{_mandir}

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- change perms using defattr
- modify PAM setup to use system-auth

* Sun Mar 26 2000 Florian La Roche <Florian.La Roche@redhat.com>
- change to root:root perms

* Mon Mar 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- reaper bugs verified as fixed
- check pam_open_session result code (bug #9966)

* Mon Feb 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- take a shot at the wrong reaper bugs (#8153, #5290)

* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- free ride through the build system (release 2)

* Tue Jan 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 2.3.11

* Sat Nov 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- Better fix for both problems

* Fri Nov 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix for double-dial problem
- fix for requiring a controlling terminal problem

* Sun Sep 19 1999 Preston Brown <pbrown@redhat.com>
- 2.3.10 bugfix release

* Fri Aug 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- New version 2.3.9 required for kernel 2.3.13 and will be required
  for new initscripts.  auth patch removed; 2.3.9 does the same thing
  more readably than the previous patch.

* Thu Jun 24 1999 Cristian Gafton <gafton@redhat.com>
- add pppdump

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- force pppd use the glibc's logwtmp instead of implementing its own

* Wed Apr 01 1999 Preston Brown <pbrown@redhat.com>
- version 2.3.7 bugfix release

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3.6

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- auth patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.3.5.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make it run with kernels 2.1.100 and above.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated PAM patch to not turn off wtmp/utmp/syslog logging.

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to ppp-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has 
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in /usr/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description

